[mythtv-users] Anyone know how to update to the latest XMLTV in Mythbuntu?

Chris Butler chrisb at debian.org
Sat May 1 14:05:49 UTC 2010

On Fri, Apr 30, 2010 at 08:46:54PM +0100, Chris Butler wrote:
> There are packages of 0.5.57 now available in Debian:
> http://packages.debian.org/sid/xmltv
> You should find that these packages will install on Ubuntu as well, although
> I don't actually have an Ubuntu machine to test on.
> XMLTV now requires libparse-recdescent-perl, which you can install from
> Ubuntu universe.
> You will also need the new liblinux-dvb-perl package, which is available
> here, although since it's an XS module I'm not sure if it will install
> easily on all Ubuntu versions. It should be easy enough to recompile on an
> Ubuntu system though:
> http://packages.debian.org/sid/liblinux-dvb-perl
> Alternatively, if you don't need to use the tv_grab_it_dvb grabber, I've put
> together a dummy package that will satisfy the dependency:
> http://people.debian.org/~chrisb/dummy-liblinux-dvb-perl/
> Just grab that package and install it before trying to install the xmltv
> package, and it should install fine.

Just a quick update to the above: you may find that there are still
timezone-related issues if you install the above packages with the version
of libdate-manip-perl that's present in Lucid (6.05). You really need
version 6.07, which should fix the remaining issues.

Thankfully, it seems that the libdate-manip-perl 6.07-2 package from Debian
will install on a Lucid system:


Disclaimer: I'm not an Ubuntu user or developer, and the above instructions
are for those of you who don't mind fiddling around with their system. If it
breaks, you get to keep both pieces.

Hopefully, there will be a way to get the fixed packages into Ubuntu proper,
but I'm not an expert on their update policies.

Chris Butler    <chrisb at debian.org>
  Debian XMLTV package maintainer
   GnuPG Key ID:  4096R/49E3ACD3

More information about the mythtv-users mailing list